# Uses of Interface
org.eclipse.ecf.filetransfer.events.socketfactory.INonconnectedSocketFactory

Packages that use INonconnectedSocketFactory
Package
Description
org.eclipse.ecf.provider.filetransfer.events.socket
org.eclipse.ecf.provider.filetransfer.httpclient4

## Uses of INonconnectedSocketFactory in org.eclipse.ecf.provider.filetransfer.events.socket

Methods in org.eclipse.ecf.provider.filetransfer.events.socket with parameters of type INonconnectedSocketFactory
Modifier and Type
Method
Description
`static Socket`
SocketEventCreateUtil.`createSocket(ISocketListener spyListener, ISocketEventSource socketEventSource, INonconnectedSocketFactory unconnectedFactory, InetSocketAddress remoteInetAddress, InetSocketAddress localInetAddress, int timeout)`

## Uses of INonconnectedSocketFactory in org.eclipse.ecf.provider.filetransfer.httpclient4

Classes in org.eclipse.ecf.provider.filetransfer.httpclient4 that implement INonconnectedSocketFactory
Modifier and Type
Class
Description
`class`
`HttpClientDefaultSSLSocketFactoryModifier`
Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 that return INonconnectedSocketFactory
Modifier and Type
Method
Description
`INonconnectedSocketFactory`
HttpClientDefaultSSLSocketFactoryModifier.`getNonconnnectedSocketFactory()`